---
apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: monitoring
  name: memcached-exporter
  labels:
    k8s-app: memcached-exporter
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s-app: memcached-exporter
  template:
    metadata:
      annotations:
        prometheus.io/scrape: "true"
        prometheus.io/port: "9150"
      labels:
        k8s-app: memcached-exporter
    spec:
            #nodeSelector:
            #apptype: monitoring
      containers:
      - name: memcached-exporter
        image: prom/memcached-exporter
        resources:
          requests:
            cpu: 100m
            memory: 100Mi
        env:
        - name: MEMCACHED_ADDR
          value: post-storage-memcached.social-network.svc:11211
        ports:
        - containerPort: 9150
---
apiVersion: v1
kind: Service
metadata:
  labels:
    k8s-app: memcached-exporter
  name: memcached-exporter
  namespace: monitoring
  annotations:
    prometheus.io/scrape: 'true'
    prometheus.io/port: "9150"
spec:
        #clusterIP: None
  ports:
  - name: metrics
    port: 9150
    targetPort: 9150
    protocol: TCP
  selector: 
    k8s-app: memcached-exporter
